API referenceApplications
Rename an application
Authorization
apiKey AuthorizationBearer <token>
Long-lived tenant API key, cd_live_… (production) or cd_test_… (staging, development), stored hashed. Keys created before the switch to cd_ start with sk_live_… / sk_test_… and are still accepted. Scoped to the owning application's tenant.
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/applications/string" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "string", "tenant_id": "string", "name": "string", "environment": "production", "default_origin": "string", "connect_target": { "cname_target": "string", "apex_ipv4": [ "string" ] }, "created_at": "2019-08-24T14:15:22Z"}{ "code": "string", "title": "string", "details": "string"}{ "code": "string", "title": "string", "details": "string"}{ "code": "string", "title": "string", "details": "string"}{ "code": "string", "title": "string", "details": "string"}